
#BOOKMARK_RESTART://———————————————————————————————————

comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=10;
 }
}

comment
{
 function
 {
  func_call="ResetBattle()";
 }
 wait=0.5;
}

comment
{
 screen
 {
  dstframe=0;
  speed=10;
 }
}

comment
{
 return;
}

#BOOKMARK_WORLD://———————————————————————————————————

comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=5;
 }
 wait=3;
 bgcolor=0;
 GameSystemMode=0x1,1;
}

comment
{
 function
 {
  func_call="StartWorldMap()";
  threadLV=2;
 } 
}

comment
{
 screen
 {
  dstframe=0;
  speed=15;
 }
}

comment
{
  function
  {
	func_call="PlaySceneBGM()";
  }
  return;
}

#BOOKMARK_FIGHT://———————————————————————————————————
comment
{
  function
  {
	func_call="PopFightSelUnitMenu()";
  }
}

comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=3;
 }
 WorldRunMode="B10",0; //取消世界系统的控制
}

comment
{
  function
  {
	func_call="BeginFight()";
	threadLV=2;
  }
  bgm
  {
	play=0;
  }
}

comment
{
  wait=1; //重置人物位置时会有个落地动作，最好等一等。
  GameSystemMode=B101,1;
}

comment
{
 screen
 {
  dstframe=0;
  speed=10;
  swing=1;
 }
}

comment
{
  function
  {
	func_call="PlaySceneBGM()";
  }
}

comment
{
  camera
  {
	swing=0;
  }
}

comment
{
  anima3ds
  {
	file="DATA\SysMenu\DiQJ$2.3DS";
  }
}

comment
{
  GameSystemMode="B101",0;
  return;
}

#BOOKMARK_LOAD://———————————————————————————————————

comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=5;
 }
 wait=2;
}

comment
{
  function
  {
	func_call="LoadWorld()","StartWorldMap()";
	threadLV=2;
  }
}

comment
{
 screen
 {
  dstframe=0;
  speed=10;
 }
  function
  {
	func_call="PlaySceneBGM()";
  }
}

comment
{
 return;
}

#BOOKMARK_EXITGAME://———————————————————————————————————

comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=5;
 }
}

comment
{
 function
 {
  func_call="ExitGame()";
 }
}

comment
{
 return;
}

#BOOKMARK_REPRACTICE://———————————————————————————————————

comment
{
  wait=5;
}

comment
{
  function
  {
	func_call="ProcessPractice()";
  }
}

comment
{
  menu
  {
	popmenu="演习重开";
  }
}

comment
{
  wait=5;
}

comment
{
  screen
  {
	mode=0;
	color=0;
	dstframe=0xff;
	speed=10;
  }
}

comment
{
  function
  {
	func_call="ResetBattle()";
  }
  wait=0.5;
}

comment
{
  screen
  {
	dstframe=0;
	speed=10;
  }
}

comment
{
 return;
}

#BOOKMARK_STAGECLEAR://———————————————————————————————————
comment
{
  wait=5;
}

comment
{
  menu
  {
	popmenu="战斗结束";
  }
}

comment
{
  function
  {
	func_call="SetExitTime(0)";
  }
  return;
}

#BOOKMARK_STAGECLEARWIN://———————————————————————————————————
comment
{
  wait=5;
}

comment
{
  menu
  {
	popmenu="战斗结束";
  }
  bgm
  {
	file="DATA\SysMenu\StageClear.wav";
	play=1;
  }
}

comment
{
  function
  {
	func_call="SetExitTime(120)";
  }
  return;
}

#BOOKMARK_GAMEOVER://———————————————————————————————————
comment
{
  bgm
  {
	play=0;
  }
  WorldRunMode="B10",0; //取消世界系统的控制
  GameSystemMode="B1",1; //游戏系统由剧情剧本控制接管
}

comment
{
  menu
  {
	popmenu="游戏结束";
	swing=0;
  }
  wait=5;
}

comment
{
  screen
  {
	mode=0;
	color=0;
	dstframe=0xff;
	speed=5;
  }
}

comment
{
  load="DATA\Scripter\Title.hpp";
}

#BOOKMARK_PRACTICE://———————————————————————————————————
comment
{
 screen
 {
  mode=0;
  color=0;
  dstframe=0xff;
  speed=5;
 }
 WorldRunMode="B10",0; //取消对世界系统的控制
 GameSystemMode="B10",1; //开启演习模式
}

comment
{
  function
  {
	func_call="BeginFight()";
	threadLV=2;
  }
}

comment
{
  wait=1; //重置人物位置时会有个落地动作，最好等一等。
  GameSystemMode=B101,1;
}

comment
{
 screen
 {
  dstframe=0;
  speed=10;
  swing=1;
 }
}

comment
{
  function
  {
	func_call="PlaySceneBGM()";
  }
}

comment
{
  camera
  {
	swing=0;
  }
}

comment
{
  menu
  {
	popmenu="演习训练";
	swing=0;
  }
}

comment
{
  function
  {
	func_call="PopSelUnitMenu()";
  }
}

comment
{
  GameSystemMode="B101",0;
  return;
}

#BOOKMARK_NETLOST://———————————————————————————————————
comment
{
  msglist
  {
	strings="战局创建者撤消了游戏~！";
	color=0xffffffff,0xffffffff,0xffff0000,0xffff0000;
	outlinecolor=0x0;
	waittime=3;
	soundID=0;
	type=1;
	fontID=2;
  }
  wait = 5;
}

comment
{
  goto="WORLD";
}

#BOOKMARK_CONNECTFAILED://———————————————————————————————————
comment
{
  msglist
  {
	strings="游戏的联机连不上对方~！";
	color=0xffffffff,0xffffffff,0xffff0000,0xffff0000;
	outlinecolor=0x0;
	waittime=3;
	soundID=0;
	type=1;
	fontID=2;
  }
  wait = 5;
}

comment
{
  goto="WORLD";
}

#BOOKMARK_NETUNTIAOZHAN://———————————————————————————————————
comment
{
  msglist
  {
	strings="对方撤消了与你的对战联机~！";
	color=0xffffffff,0xffffffff,0xffff0000,0xffff0000;
	outlinecolor=0x0;
	waittime=3;
	soundID=0;
	type=1;
	fontID=2;
  }
  wait = 5;
}

comment
{
  goto="WORLD";
}

#BOOKMARK_LOADCHAFAILED://———————————————————————————————————
comment
{
  msglist
  {
	strings="游戏角色（%s）载入失败！";
	color=0xffffffff,0xffffffff,0xffff0000,0xffff0000;
	outlinecolor=0x0;
	waittime=3;
	soundID=0;
	type=1;
	fontID=2;
  }
  wait = 7;
}

comment
{
  goto="WORLD";
}